<?php
	require_once("config/connect.php");
	require_once("global_functions.php");
	
	
	function kunden_zu_offenen_bon_hinzufuegen($customerId){
		$xMsg="";
		session_start();
		if(defined('GASTRO_VERSION') && strtolower(GASTRO_VERSION) == 'ja') $currentCart=$_SESSION['gastroTisch'];
		else if(defined('WARENKOERBE_ABLEGEN') && strtolower(WARENKOERBE_ABLEGEN) == 'ja') $currentCart=$_SESSION['ablageWarenkorb'];
		else $currentCart=$_SESSION['aktuellerWarenkorb'];
		$checkOpenCart=mysql_fetch_array(mysql_query("SELECT ID FROM offener_bon WHERE bon_id = $currentCart"));
		if(!$checkOpenCart && mysql_error() == false) { 			
			$xMsg.="Kein offener Bon, Kein Error ".mysql_error();
			$_SESSION["customerToEmptyBon"] = $customerId;			
		}
		else if(!$checkOpenCart && mysql_error() == true) $xMsg="Datenbank Error, ".mysql_error();
		else if($checkOpenCart[0] > 0){
			if(isset($_SESSION["customerToEmptyBon"])) unset($_SESSION['customerToEmptyBon']);
			$updQl=mysql_query("UPDATE offener_bon SET kunden_id = $customerId WHERE bon_id = $currentCart");
			$xMsg.="Kunden dem offen Bon ".$checkOpenCart[0]." zugeordnet";
		}
		else {			
			$xMsg.="Error / Fehler -> Kunde konnte weder einen Bon zugeordnet, noch konnte eine Session gestzt werden.";
		}		
	
		echo $xMsg;
	
	
	}
	
	// Wenn es die Loyality Card Nummer nicht gibt, dann lege einen Kunden angegeben
	// ansonsten die KundenID in den offenen Bon schreiben
	function loyality_card_suchen()
	{
		// Loyality Card Nummer
		if(isset($_POST['kundennr']) && $_POST['kundennr'] > 0) 
		{
			$kundennr=$_POST['kundennr'];
			$sql="SELECT * FROM kunden WHERE loyality_card='".$kundennr."'";
			$Q1=mysql_query($sql);
			if (! $Q1) echo "Fehler beim Suchen der Loyality Karte im Table kunden". mysql_error();
			else
			{
				if(mysql_num_rows($Q1)>0)
				{
					// Kundenkarte wurde gefunden - kann nur eine sein
					$row=mysql_fetch_assoc($Q1);
					$kunden_id=$row['id'];
				}
				else
				{
					// Kunde mit dieser Karte wird automatisch angelegt
					$query="INSERT INTO kunden set loyality_card='".$kundennr."', nachname='Kartennummer ".$kundennr."'";
					$Q2=mysql_query($query);
					if (! $Q2) echo "Fehler beim Anlegen der Loyality Karte im Table kunden". mysql_error();
					else $kunden_id=mysql_insert_id();
				}
				kunden_zu_offenen_bon_hinzufuegen($kunden_id);
			}
		}
		else echo "keine Loyality Nummer angegeben";
		
		echo "Kundenn ID: $kunden_id";
	}
	
	$funktion=false;
	if(isset($_REQUEST['funktion']) && $_REQUEST['funktion'] != '') $funktion=rtrim($_REQUEST['funktion']);
	
	check_login();
	switch ($funktion) 
	{
		case "loyality_card_suchen":
				 loyality_card_suchen();
		break;
	
		default:
			echo "Falscher aufruf von ajax_funktionen, funktion nicht bekannt";			
	}

	















	

?>